# Plover

> Bringing stenography to everyone.

[![Windows build status](https://ci.appveyor.com/api/projects/status/9edrnjpukrag17h7?svg=true)](https://ci.appveyor.com/project/morinted/plover) [![Linux and Mac build Status](https://travis-ci.org/openstenoproject/plover.svg?branch=master)](https://travis-ci.org/openstenoproject/plover)

| [Homepage] | [Releases] | [Wiki] | [Blog] | [Google Group] | [Discord Chat][discord] |
|------------|------------|--------|--------|----------------|-------------------------|

<!-- START doctoc generated TOC please keep comment here to allow auto update -->
<!-- DON'T EDIT THIS SECTION, INSTEAD RE-RUN doctoc TO UPDATE -->


- [About](#about)
- [Installation](#installation)
- [Getting help](#getting-help)
- [Contributing](#contributing)
  - [Donations](#donations)
  - [Programming](#programming)
  - [Writing, Art, UX, and Web Design](#writing-art-ux-and-web-design)
- [Development Environment and Building](#development-environment-and-building)

<!-- END doctoc generated TOC please keep comment here to allow auto update -->

## About

Plover (rhymes with "lover") is a desktop application that allows anyone to use stenography to write on their computer, up to speeds of 200WPM and beyond.

Plover is part of the [Open Steno Project][open steno]. The Open Steno Project's goal is to provide everything you need to learn machine shorthand on your own, from free software, to cheap hardware, to learning resources.

Plover is GPLv2+ as of version 3.1.0. See [LICENSE.txt](LICENSE.txt) for details.

## Installation

Plover runs on Windows, Linux, and Mac.

View the [installation guide](https://github.com/openstenoproject/plover/wiki/Installation-Guide) which covers downloading, installation, and initial configuration.

## Getting help

Having trouble with Plover?

The Wiki has several pages to help you:

- [Installation Guide](https://github.com/openstenoproject/plover/wiki/Installation-Guide)
- [Get Started with Plover](https://github.com/openstenoproject/plover/wiki/Beginner's-Guide:-Get-Started-with-Plover)
- [Supported Hardware](https://github.com/openstenoproject/plover/wiki/Supported-Hardware)
- [Troubleshooting Common Issues](https://github.com/openstenoproject/plover/wiki/Troubleshooting:-Common-Issues)

If you are still having trouble, have found a bug, or would like to request a new feature, please [search for or create an issue](https://github.com/openstenoproject/plover/issues?q=is%3Aissue). When making a new issue, fill out the form as best you can so that we can help you quickly.

If you are looking for more general support (i.e. you don't have a specific issue), consider joining the community. We are active on the [Plover Discord][discord], a live chatroom service; and the [Plover Steno Google Group][google group], a more traditional mailing list.

## Contributing

The Open Steno Project is always growing, and could use your help!

### Donations

Plover is developed by volunteers. Donations to Open Steno help fund new projects as well as any maintenance costs with publishing Plover.

[**Donate here**, donations of any size are very appreciated!][donate]

### Programming

Plover is a cross-platform desktop application written in Python. To contribute to Plover, see [CONTRIBUTING.md](CONTRIBUTING.md)

If Python isn't your thing, there are other steno-related projects, including [StenoJig](https://github.com/JoshuaGrams/steno-jig) (JavaScript) and [StenoTray](https://github.com/SmackleFunky/StenoTray) (Java).

### Writing, Art, UX, and Web Design

- The [Plover Wiki][wiki] discusses Plover and Open Steno in general. Edits to the Wiki and new page ideas are welcome.
- Graphic art for Plover and stenography in general is always appreciated. The app's icons are worked on at [morinted/plover_icons](https://github.com/morinted/plover_icons). You may consider reimagining or reposing [Plover's mascot, Dolores](http://plover.stenoknight.com/2010/10/new-logo.html).
- UX improvement suggestions are welcome. Plover runs on Windows, Mac, and Linux, and should be powerful but out of the way, which poses some interesting challenges. Please drop in to the Discord server to brainstorm with users and the developers.
- Open Steno has websites that accept contributions, including the [Open Steno Project homepage][open steno] ([source](https://github.com/openstenoproject/openstenoproject.github.io)) and [Plover's homepage][homepage] ([source](https://github.com/openstenoproject/plover/tree/gh-pages)).

## Development Environment and Building

Plover is cross-platform and has separate build instructions for each platform.

Please follow through for your system:

- [Windows](windows)
- [Linux](linux)
- [Mac](osx)

[blog]: http://plover.stenoknight.com
[discord]: https://discord.gg/0lQde43a6dGmAMp2
[donate]: http://stenoknight.com/plover/donatepage.html
[google group]: https://groups.google.com/forum/#!forum/ploversteno
[homepage]: http://opensteno.org/plover
[open steno]: http://opensteno.org
[releases]: https://github.com/openstenoproject/plover/releases
[wiki]: https://github.com/openstenoproject/plover/wiki
